Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.impl
Class NotificationMessageSerializer

    java.lang.Object
      org.apache.muse.ws.notification.impl.NotificationMessageSerializer

All Implemented Interfaces:
  Serializer

public class NotificationMessageSerializer
extends java.lang.Object
implements Serializer

NotificationMessageSerializer transforms WS-N NotificationMessage objects to XML and back.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`NotificationMessageSerializer()`

Method Summary
`java.lang.Object` | `fromXML(org.w3c.dom.Element xml)` Deserializes the DOM Element into a POJO whose type this Serializer is responsible for.
`java.lang.Class` | `getSerializableType()`
`org.w3c.dom.Element` | `toXML(java.lang.Object obj, QName qname)` Serializes the given object into a DOM Element, the value wrapped inside a root element with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationMessageSerializer

    public NotificationMessageSerializer()

Method Detail

### fromXML

    public java.lang.Object fromXML(org.w3c.dom.Element xml)
                             throws SoapFault

  Description copied from interface: `Serializer`
  Deserializes the DOM Element into a POJO whose type this Serializer is responsible for.

  Specified by:
    `fromXML` in interface `Serializer`
  Parameters:
    `xml` - The XML representation of a Java object. If the type is primitive or simple (not a primitive, but serialized to a string), the value should be a DOM Text node inside the given Element.
  Returns:
    A POJO constructed from the given XML. If the Element is empty and the Serializer's type is a non-primitive, the method will return null.
  Throws:
    `SoapFault` -
    - If the XML is not a valid representation of the Serializer's type.

### getSerializableType

    public java.lang.Class getSerializableType()

  Specified by:
    `getSerializableType` in interface `Serializer`

### toXML

    public org.w3c.dom.Element toXML(java.lang.Object obj,
                                     QName qname)

  Description copied from interface: `Serializer`
  Serializes the given object into a DOM Element, the value wrapped inside a root element with the given name.

  Specified by:
    `toXML` in interface `Serializer`
  Parameters:
    `obj` - The object to serialize into XML, or null.
    `qname` - The name of the element which the XML representation will be wrapped in.
  Returns:
    An Element whose name is the one given, and whose child Nodes represent the object. If the object was null, an empty Element is returned.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD